Where is Authorize.net Payment Plugin in v4?

Discussion in 'aMember Pro v.4' started by theprofessional, Nov 19, 2011.

  1. theprofessional

    theprofessional New Member

    Joined:
    Mar 9, 2008
    Messages:
    1
    I have downloaded and testing on localhost, but I don't see Authorize.net as an option anywhere. Does this version not have it as an option? If so, anyone know how i can enable it?
  2. alexander

    alexander Administrator Staff Member

    Joined:
    Jan 8, 2003
    Messages:
    5,912
    Authorize.net plugin is not available yet for aMember 4.
  3. minttechnology

    minttechnology New Member

    Joined:
    Nov 20, 2011
    Messages:
    6
    Is there any ETA on when this will be available?
  4. alex

    alex Administrator Staff Member

    Joined:
    Jan 24, 2004
    Messages:
    6,010
    There is a good question - do you need PCI DSS compatibility?
    We have not start work on this, as I feel nobody can really get compliance.

    1. There is not a problem to release not complicant solution, in fact we have it working. I just do not like this idea, because it creates serious risk for you are website owner.
    2. To get full compatibility with PCI-DSS, and run Authorize.Net CIM, we have to release a separate "billing" script. We are working on it, but there is no release date scheduled.
    3. It is ABSOLUTELY impossible for average website to satisfy all requirements and run Authorize.Net AIM with storing credit card information onside. So we are not looking at this option at all.

    Let me know your opinion.
  5. minttechnology

    minttechnology New Member

    Joined:
    Nov 20, 2011
    Messages:
    6
    I would like to use CIM as I do not want to store CC data on my own server. The v3 CIM script does not work with v4? Do you have a version that works currently with CIM and v4 but will not pass pci compliance?
  6. gocliff

    gocliff Maverick Marketing Methods

    Joined:
    Nov 22, 2011
    Messages:
    38
    We have built our design and bought Authorize dot net specifically because the v.3 of aMember supported it. We have looked at the discussion about PCI/DSS compliance and find many of the comments to be NOT true, because we have been running a dedicated server with LAMP technology for the last three (3) years keeping PCI compliant and having Security Metrics test our server quarterly to keep it certified as required to keep our First Data merchant account that uses the Linkpoint gateway. We do not want to put our trust in agencies like Paypay which do NOT come under banking laws and merchant account rules nor does Paypal behave like a real bank or credit union including face-to-face merchant service when you need it. We don't mind using Paypal to pay out, but never do want Paypal to have control over our income. We have to be able to use Authorize dot net!
  7. gocliff

    gocliff Maverick Marketing Methods

    Joined:
    Nov 22, 2011
    Messages:
    38
    We, too, don't mind running CIM method!
  8. gocliff

    gocliff Maverick Marketing Methods

    Joined:
    Nov 22, 2011
    Messages:
    38
    We have had PCI-DSS total compliance on a dedicated server for the last three (3) years with the system being tested quarterly by Security Metrics to prove compliance for our merchant account with First Data which uses a Linkpoint gateway. We moved 40-days ago to Authorized dot net because they cost less and still provided all the gateway options of First Data... AND the aMember v3 trial we were testing could use Authorize dot net. Now, we been instructed to use v.4 on our new installation of yesterday only to find out we don't have a plugin for Authorize dot net. We have 30-days to decide if we are going to keep aMember or move to software that supports Authorize dot net.
  9. alex

    alex Administrator Staff Member

    Joined:
    Jan 24, 2004
    Messages:
    6,010
    OK, I will finish Auth.Net CIM plugin, I hope to get it running this week.
  10. minttechnology

    minttechnology New Member

    Joined:
    Nov 20, 2011
    Messages:
    6
    This is excellent news, thank you Alex.
  11. wardeh

    wardeh New Member

    Joined:
    Jan 10, 2010
    Messages:
    23
    I'm another who would like Authorize.net CIM in v4.

    I am currently on aMember v3 using Authorize.net CIM and meeting PCI total compliance.
  12. alex

    alex Administrator Staff Member

    Joined:
    Jan 24, 2004
    Messages:
    6,010
    Sorry for delay, I am still working on CIM integration, it is more tricky than expected but it will be finished ASAP. We did not give up with this.
  13. minttechnology

    minttechnology New Member

    Joined:
    Nov 20, 2011
    Messages:
    6
    keep up the good work!
  14. cleerclouds

    cleerclouds aMember Pro Customer

    Joined:
    Nov 30, 2011
    Messages:
    42
    Yeah!, we need authorize.net, that's why I bought amember today, on the landing page it show authorize.net plugin, but I seem that was not true on V4
  15. cleerclouds

    cleerclouds aMember Pro Customer

    Joined:
    Nov 30, 2011
    Messages:
    42
    When is going to be ready Alex?
  16. steverother

    steverother New Member

    Joined:
    Mar 20, 2007
    Messages:
    2
    Any update on the Authorize.net module? Waiting patiently?
  17. alex

    alex Administrator Staff Member

    Joined:
    Jan 24, 2004
    Messages:
    6,010
    Working on this. I hope I can delivery it at Monday.
  18. minttechnology

    minttechnology New Member

    Joined:
    Nov 20, 2011
    Messages:
    6
    How is this looking?
  19. alex

    alex Administrator Staff Member

    Joined:
    Jan 24, 2004
    Messages:
    6,010
    I sent it to several clients, no feedbacks yet. If you are interested, please submit a ticket to helpdesk with subject "Attn: alex"
  20. gocliff

    gocliff Maverick Marketing Methods

    Joined:
    Nov 22, 2011
    Messages:
    38
    Alex:
    Thanks for getting the Authorize.net CIM module ready for use and testing.
    On Monday (12/05/2011) you emailed us the Auth.Net CIM module for v.4.x and sent a upgrade for v.4.1.5, but we are already upgraded to v.4.1.7!
    We are concerned about applying a patch from a lesser version.
    Also, the attachment you sent was in TGZ zipped format which we can not unzip within Windows XP.
    Where can we get the Auth.Net CIM module for v.4.1.7 and in ZIP format?

Share This Page